Package org.apache.lucene.queryparser.flexible.core.parser

# Interface SyntaxParser

All Known Implementing Classes:
  `StandardSyntaxParser`

public interface SyntaxParser
A parser needs to implement `SyntaxParser` interface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QueryNode`
  `parse(CharSequence query, CharSequence field)`

- ## Method Details

  - ### parse

    QueryNode parse(CharSequence query, CharSequence field) throws QueryNodeParseException
    Parameters:
      `query` - - query data to be parsed
      `field` - - default field name
    Returns:
      QueryNode tree
    Throws:
      `QueryNodeParseException`